Package csb :: Package bio :: Package sequence :: Class ProteinAlphabet

[frames] | no frames]

# Class ProteinAlphabet

source code

       object --+
                |
    core.EnumBase --+
                    |
            core.enum --+
                        |
                       ProteinAlphabet

Protein sequence alphabet

Instance Methods
Inherited from `core.enum`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| ALA = `ALA`
| ARG = `ARG`
| ASN = `ASN`
| ASP = `ASP`
| ASX = `ASX`
| CYS = `CYS`
| GAP = `GAP`
| GLN = `GLN`
| GLU = `GLU`
| GLX = `GLX`
| GLY = `GLY`
| HIS = `HIS`
| ILE = `ILE`
| INSERTION = `INSERTION`
| LEU = `LEU`
| LYS = `LYS`
| MET = `MET`
| PHE = `PHE`
| PRO = `PRO`
| PYL = `PYL`
| SEC = `SEC`
| SER = `SER`
| STOP = `STOP`
| THR = `THR`
| TRP = `TRP`
| TYR = `TYR`
| UNK = `UNK`
| VAL = `VAL`

Properties
Inherited from `object`: `__class__`